#pragma once

#include "CoreMinimal.h"
#include "GameFramework/PlayerController.h"
#include "Bob.generated.h"

UCLASS()
class ABob : public APlayerController
{
	GENERATED_BODY()
public:
	virtual void BeginPlay() override;
	void AddBobComponent();
};

UCLASS()
class UBobComponent : public UActorComponent
{
	GENERATED_BODY()
public:
	UBobComponent();
	virtual void BeginPlay() override;

	UFUNCTION(Reliable, Server, WithValidation, SealedEvent)
	void ServerRPC();
};
